Mailinglist Archive: yast-devel (144 mails)

< Previous Next >
Re: [yast-devel] Yast2 sw_single crashing on startup in 10.3 (zypp:svn Repository)
  • From: Katarina Machalkova <kmachalkova@xxxxxxx>
  • Date: Tue, 19 Feb 2008 11:07:35 +0100
  • Message-id: <200802191107.39642.kmachalkova@xxxxxxx>
This brings me to an idea: how can we create a text (sort of license
text, mandatory to be displayed at installation, like for java or
acrobat), that could warn about such issues?

I believe we used to have this functionality in the old packagemanager. We
can misuse license if really needed.

We still have this functionality in our package manager (sort of, not sure if
we're talking about the same). It's called install notify message and it is a
property of a package. Package manager displays it in a small pop-up window
if user selects the package for installation. For example, if you choose to
install kernel-default, you will see:

"Install this kernel only if you know exactly what you are doing. YaST
installs the correct kernel for your system automatically."

There are, of course, some limitations. These messages pop up only if you
select package manually, so if a) solver selects it for your or b) you're
updating the package, you'll see nothing (well, as for b) it used to work
that way in ncurses, but I changed it for the sake of consistency, see:
https://bugzilla.novell.com/show_bug.cgi?id=308410)

B.
--
\\\\\ Katarina Machalkova
\\\\\\\__o YaST developer
__\\\\\\\'/_ & hedgehog painter
< Previous Next >